package com.fjhx.mapper.supplier;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.supplier.Supplier;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 供应商 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-08-08
 */
public interface SupplierMapper extends BaseMapper<Supplier> {

    List<Map<String, Object>> getAccountDate();

    List<Map<String, Object>> getSafetyWarnDay();

    List<Map<String, Object>> getStatistics(@Param("condition") Map<String, String> condition);

    Integer allCount(@Param("condition") Map<String, String> condition);

    Page<Map<String, Object>> getPage(@Param("page") Page<Supplier> page, @Param("condition") Map<String, String> condition);

}
